Ryzom - Feature # 787

Status: Closed Priority: Normal
Author: kaetemi Category: NeL: General
Created: 01/27/2010 Assignee: kaetemi
Updated: 10/02/2010 Due date:

Subiject: Streamable sound sources

Description

Implement streamable sound sources in higher level sound code.

These can be used to playback decoded music by filling the source's buffers (swapped double buffer) with data while it's playing
(possibly from a different thread that is decoding the music).

Related to #99, which is the low-level implementation necessary for this to work.

History

#1 - 02/06/2010 05:35 pm - kaetemi
- Status changed from New to Closed

- % Done changed from 0 to 100

#2 - 09/29/2010 09:47 pm - kervala

- Project changed from NeL to Ryzom
- Category deleted (Sound)

- Target version deleted (0.8.0)

#3 - 10/02/2010 11:49 am - kervala

- Category set to NeL: General
- Target version set to Version 0.8.0
